## com.sun.jersey.api.core.servlet
Class WebAppResourceConfig

    java.lang.Object
      javax.ws.rs.core.Application
          com.sun.jersey.api.core.ResourceConfig
              com.sun.jersey.api.core.DefaultResourceConfig
                  com.sun.jersey.api.core.ScanningResourceConfig
                      com.sun.jersey.api.core.servlet.WebAppResourceConfig

All Implemented Interfaces:
  FeaturesAndProperties, ReloadListener

    public class WebAppResourceConfig

extends ScanningResourceConfig

A mutable implementation of `DefaultResourceConfig` that dynamically searches for root resource and provider classes in the Web application resource paths declared by the property `ClasspathResourceConfig.PROPERTY_CLASSPATH`. If that property is not included in the map of initial properties passed to the constructor then the Web application paths "WEB-INF/lib" and "WEB-INF/classes" are utlized.

Author:
  Paul.Sandoz@Sun.Com

Field Summary

Fields inherited from class com.sun.jersey.api.core.ResourceConfig

`COMMON_DELIMITERS, FEATURE_CANONICALIZE_URI_PATH, FEATURE_DISABLE_WADL, FEATURE_IMPLICIT_VIEWABLES, FEATURE_MATCH_MATRIX_PARAMS, FEATURE_NORMALIZE_URI, FEATURE_REDIRECT, FEATURE_TRACE, FEATURE_TRACE_PER_REQUEST, PROPERTY_CONTAINER_NOTIFIER, PROPERTY_CONTAINER_REQUEST_FILTERS, PROPERTY_CONTAINER_RESPONSE_FILTERS, PROPERTY_DEFAULT_RESOURCE_COMPONENT_PROVIDER_FACTORY_CLASS, PROPERTY_LANGUAGE_MAPPINGS, PROPERTY_MEDIA_TYPE_MAPPINGS, PROPERTY_RESOURCE_FILTER_FACTORIES, PROPERTY_WADL_GENERATOR_CONFIG`

Fields inherited from interface com.sun.jersey.core.util.FeaturesAndProperties
`FEATURE_DISABLE_XML_SECURITY, FEATURE_FORMATTED, FEATURE_PRE_1_4_PROVIDER_PRECEDENCE, FEATURE_XMLROOTELEMENT_PROCESSING`

Constructor Summary
`WebAppResourceConfig(java.util.Map<java.lang.String,java.lang.Object> props, javax.servlet.ServletContext sc)`
`WebAppResourceConfig(java.lang.String[] paths, javax.servlet.ServletContext sc)`

Method Summary

Methods inherited from class com.sun.jersey.api.core.ScanningResourceConfig
`init, onReload, reload`

Methods inherited from class com.sun.jersey.api.core.DefaultResourceConfig
`getClasses, getExplicitRootResources, getFeature, getFeatures, getLanguageMappings, getMediaTypeMappings, getProperties, getProperty, getSingletons`

Methods inherited from class com.sun.jersey.api.core.ResourceConfig
`add, clone, getContainerRequestFilters, getContainerResponseFilters, getElements, getElements, getProviderClasses, getProviderSingletons, getResourceFilterFactories, getRootResourceClasses, getRootResourceSingletons, isProviderClass, isRootResourceClass, setPropertiesAndFeatures, validate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebAppResourceConfig

    public WebAppResourceConfig(java.util.Map<java.lang.String,java.lang.Object> props,
                                javax.servlet.ServletContext sc)

Parameters:
  `props` - the property bag that contains the property `ClasspathResourceConfig.PROPERTY_CLASSPATH`.
  `sc` - the servlet context.

### WebAppResourceConfig

    public WebAppResourceConfig(java.lang.String[] paths,
                                javax.servlet.ServletContext sc)

Parameters:
  `paths` - the array paths consisting of either jar files or directories containing jar files for class files.
  `sc` - the servlet context.

Copyright © 2017 Oracle Corporation. All Rights Reserved.